note
	description: "[
		Eiffel tests that can be executed by testing tool.
	]"
	author: "EiffelStudio test wizard"
	date: "$Date$"
	revision: "$Revision$"
	testing: "type/manual"

class
	NEW_TEST_SET

inherit
	EQA_TEST_SET

feature -- Test routines

	new_test_routine
			-- New test routine
	local
		thread1 , thread2 : WORKER_THREAD
		do
			create thread1.make (agent thread1_execution)
			create thread2.make (agent thread2_execution)
			thread1.launch
			thread2.launch

			thread1.join
			thread2.join

			assert ("Completed successfully", True)
		end

feature {NONE}

	thread1_execution
	local
		ial : IALIZER
		object_to_serialize : STRING
		res: STRING
		x : INTEGER
	do
		create ial
		create object_to_serialize.make_filled ('X',10000)
		from
			x:=0
		until
			x = 100000 --{INTEGER}.max_value
		loop
			res := ial.serialize (object_to_serialize)
			x:=x+1
		end
	end

	thread2_execution
	local
		ial : IALIZER
		object_to_serialize : STRING
		res: STRING
		x : INTEGER
	do
		create ial
		create object_to_serialize.make_filled ('X',10000)
		from
			x:=0
		until
			x = 100000 --{INTEGER}.max_value
		loop
			res := ial.serialize (object_to_serialize)
			x:=x+1
		end

	end

end


